<?php

declare(strict_types=1);
/**
 * This file is part of Hyperf.
 *
 * @link     https://www.hyperf.io
 * @document https://hyperf.wiki
 * @contact  group@hyperf.io
 * @license  https://github.com/hyperf/hyperf/blob/master/LICENSE
 */

namespace spiderTest;

use App\Command\spider\VogueCommand;
use Hyperf\Testing\TestCase;

/**
 * @internal
 * @coversNothing
 */
class VogueTest extends TestCase
{
    public function testExample()
    {
        $command = new VogueCommand();


        $taskName = 'Ashish';

        $url = $command->getBaseUrl() . '/fashion-shows/designer/' . $command->testMethod('getTaskName', [$taskName]);

        $showsList = $command->testMethod('getShowsList', [
            $url
        ]);

        /** @see VogueCommand::getDetail() */
        $command->testMethod('getDetail', [
            24445,
            current($showsList)
        ]);
    }
}
